---
title: 'SVGGraphicsElement: cut event'
slug: Web/API/SVGGraphicsElement/cut_event
tags:
  - API
  - Event
  - NeedsExample
  - Reference
  - SVG
  - SVG OM
---
<p>{{APIRef}}</p>

<p><span class="seoSummary">The <strong><code>cut</code></strong> event is fired on an {{domxref("SVGGraphicsElement")}} when the user has initiated a "cut" action through the browserʼs user interface.</span></p>

<p>If the user attempts a cut action on uneditable content, the <code>cut</code> event still fires but the event object contains no data.</p>

<table class="properties">
 <tbody>
  <tr>
   <th scope="row">Bubbles</th>
   <td>Yes</td>
  </tr>
  <tr>
   <th scope="row">Cancelable</th>
   <td>Yes</td>
  </tr>
  <tr>
   <th scope="row">Interface</th>
   <td>{{domxref("ClipboardEvent")}}</td>
  </tr>
  <tr>
   <th scope="row">Event handler property</th>
   <td>{{domxref("SVGGraphicsElement/oncut", "oncut")}}</td>
  </tr>
 </tbody>
</table>

<p>The eventʼs default action is to copy the current selection (if any) to the system clipboard and remove it from the document.</p>

<p>A handler for this event can <em>modify</em> the clipboard contents by calling <a href="/en-US/docs/Web/API/DataTransfer/setData" title="The DataTransfer.setData() method sets the drag operation's drag data to the specified data and type. If data for the given type does not exist, it is added at the end of the drag data store, such that the last item in the types list will be the new type. If data for the given type already exists, the existing data is replaced in the same position. That is, the order of the types list is not changed when replacing data of the same type."><code>setData(format, data)</code></a> on the event's  <a href="/en-US/docs/Web/API/ClipboardEvent/clipboardData" title="The ClipboardEvent.clipboardData property holds a DataTransfer object, which can be used:"><code>ClipboardEvent.clipboardData</code></a> property, and cancelling the default action using <code><a href="/en-US/docs/Web/API/Event/preventDefault">event.preventDefault()</a></code>.</p>

<p>Note though that cancelling the default action will also prevent the document from being updated. So an event handler which wants to emulate the default action for "cut" while modifying the clipboard must also manually remove the selection from the document.</p>

<p>The handler cannot <em>read</em> the clipboard data.</p>

<p>It's possible to construct and dispatch a <a href="/en-US/docs/Web/Guide/Events/Creating_and_triggering_events">synthetic</a> <code>cut</code> event, but this will not affect the system clipboard or the document's contents.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName("SVG2", "types.html#SVGDOMDependencies")}}</td>
   <td>{{Spec2("SVG2")}}</td>
   <td>Definition that the clipboard events apply to SVG elements.</td>
  </tr>
  <tr>
   <td>{{SpecName("Clipboard API", "#clipboard-event-cut")}}</td>
   <td>{{Spec2("Clipboard API")}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.SVGGraphicsElement.cut_event")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>Related events: <code><a href="/en-US/docs/Web/API/SVGGraphicsElement/copy_event">copy</a></code>, <code><a href="/en-US/docs/Web/API/SVGGraphicsElement/paste_event">paste</a></code></li>
 <li>This event on HTML {{domxref("Element")}} targets: <code><a href="/en-US/docs/Web/API/Element/cut_event">cut</a></code></li>
 <li>This event on {{domxref("Document")}} targets: <code><a href="Web/API/Document/cut_event">cut</a></code></li>
 <li>This event on {{domxref("Window")}} targets: <code><a href="Web/API/Window/cut_event">cut</a></code></li>
</ul>
